Bug 137974 - mce.h file located in wrong area
mce.h file located in wrong area
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2004-11-03 10:47 EST by Scott Francis
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-716
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:20:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Francis 2004-11-03 10:47:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:
Using kernel version 2.6.8-1.528.2.10smp of RH EL4, the header file
mce.h is located in
/lib/modules/2.6.8-1.528.2.10/build/include/asm-x86_64/mce.h.

It needs to be located in /usr/include/asm so that someone building an
application from source can have access to the definition of "struct
mce".  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install default SRPMS for Redhat EL4 Beta 1
2.
3.
    

Additional info:
Comment 1 David Woodhouse 2005-04-15 12:32:45 EDT
This should be fixed in the 2.4-9.1.92 version of glibc-kernheaders, which is
now present in Fedora Rawhide and will hopefully be making its way into a RHEL4
update. Please could you test that it works for you now?
Comment 2 Scott Francis 2005-04-19 13:58:44 EDT
We will have to wait until it makes it into RHEL4 as our company does not
support Fedora Core.  We have downloaded RHEL4 U1 Beta, will see if this issue
is addressed there.
Comment 3 David Woodhouse 2005-07-14 07:45:09 EDT
Final call for testing before U2. If it isn't working in the current
glibc-kernheaders packages, please let me know ASAP.
Comment 6 Red Hat Bugzilla 2005-10-05 08:04:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html
Comment 7 Red Hat Bugzilla 2005-10-05 08:20:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html

Note You need to log in before you can comment on or make changes to this bug.